using System;
using Server;

namespace Server.Scripts.Items.Potions
{
	public abstract class BaseRefreshPotion : BasePotion
	{
		public abstract double Refresh{ get; }

		public BaseRefreshPotion( PotionEffect effect ) : base( 0xF0B, effect )
		{
		}

		public BaseRefreshPotion( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public void DoRefresh( Mobile from )
		{
			from.Stam += (int)(Refresh * from.StamMax);
		}

		public override void Drink( Mobile from )
		{
			DoRefresh( from );

			BasePotion.PlayDrinkEffect( from );

			this.Delete();
		}
	}
}