using System;
using Server.Mobiles;

namespace Server.Scripts.Mobiles.Animals.Mounts
{
	[CorpseName( "a horse corpse" )]
	public class BrownHorse : BaseMount
	{
		[Constructable]
		public BrownHorse() : this( "a horse" )
		{
		}

		[Constructable]
		public BrownHorse( string name ) : base( name, 0xCC, 0x3EA2 )
		{
			BaseSoundID = 0xA8;

			InitStats( Utility.Random( 50, 30 ), Utility.Random( 50, 30 ), 10 );
			Skills[SkillName.MagicResist].Base = 25.0 + (Utility.RandomDouble() * 5.0);
			Skills[SkillName.Wrestling].Base = 35.0 + (Utility.RandomDouble() * 10.0);
			Skills[SkillName.Tactics].Base = 30.0 + (Utility.RandomDouble() * 15.0);
		}

		public BrownHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}