using System;
using Server;
using Server.Mobiles;

namespace Server.Scripts.Mobiles.Animals.Mounts.WarHorses
{
	public abstract class BaseWarHorse : BaseMount
	{
		public BaseWarHorse( int bodyID, int itemID ) : base( "a war horse", bodyID, itemID )
		{
			BaseSoundID = 0xA8;

			InitStats( Utility.Random( 300, 100 ), 125, 60 );

			Skills[SkillName.MagicResist].Base = 25.0 + (Utility.RandomDouble() * 5.0);
			Skills[SkillName.Wrestling].Base = 35.0 + (Utility.RandomDouble() * 10.0);
			Skills[SkillName.Tactics].Base = 25.0 + (Utility.RandomDouble() * 20.0);
		}

		public BaseWarHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}