using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Scripts.Misc;
using Server.Scripts.Items.Weapons.Maces;

namespace Server.Scripts.Mobiles.Monsters.Melee
{
	public class Orc : AggressiveAI
	{
		[Constructable]
		public Orc()
		{
			this.Body = 0x11;
			this.Name = NameList.RandomOrcName();
			this.BaseSoundID = 0x1B0;

			this.InitStats(Utility.Random(80,40), Utility.Random(50,20), Utility.Random(20,20));

			this.Skills[SkillName.Wrestling].Base = Utility.Random(60,40);
			this.Skills[SkillName.Tactics].Base = Utility.Random(60,40);

			this.Fame = Utility.Random(1250,1250);
			this.Karma = Utility.Random(1250,1250);

			Item boots;
			switch ( Utility.Random( 2 ) )
			{
				case 0: boots = new Boots(); break;
				default: case 1: boots = new ThighBoots(); break;
			}
			AddItem( boots );

			AddItem( new Gold( 5, 40 ) );

		}

		public Orc( Serial serial ) : base( serial )
		{
		}

		public override bool CheckAttack( Mobile m )
		{
			return m.Player || m.Body.IsHuman || m.Body.IsAnimal;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override double GetValueFrom( Mobile m )
		{
			return -this.GetDistanceToSqrt( m );
		}
	}
}